Security Lab

Межсайтовый скриптинг в WHMCompleteSolution

Дата публикации:20.12.2005
Дата изменения:24.03.2009
Всего просмотров:2520
Опасность:
Низкая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Межсайтовый скриптинг
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: WHMCompleteSolution 2.x
Уязвимые версии: WHMCompleteSolution 2.1 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует при обработке входных данных в параметре "search" сценария "knowledgebase.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный HTML код в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.whmcs.com

Решение: Установите последнюю версию с сайта производителя.

Источник:

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: WHMCompleteSolution XSS vuln.